Get collection price history
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/price-chart/{contractAddress} \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/price-chart/{contractAddress}"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/price-chart/{contractAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"contractAddress": "0x1111111111111111111111111111111111111111",
"timeframe": "1h",
"chainId": 123,
"dataPoints": 1,
"data": [
{
"timestamp": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"price": 123,
"priceInEth": 123,
"open": 123,
"high": 123,
"low": 123,
"close": 123,
"avgPrice": 123,
"volume": 123,
"eventCount": 123,
"isCurrent": true,
"isEmpty": true
}
],
"statistics": {
"currentPriceEth": 123,
"openPriceEth": 123,
"highEth": 123,
"lowEth": 123,
"priceChange": 123,
"priceChangePercent": 123,
"eventCount": 123
}
}{
"success": false,
"message": "Invalid contract address"
}{
"success": false,
"message": "Too many requests or invalid API key! See docs.vibechain.com for more info."
}{
"success": false,
"message": "Failed to complete request"
}Analytics
Get collection price history
Cache lifetime ranges from about one minute for 1h to 30 minutes for 30d.
GET
/
price-chart
/
{contractAddress}
Get collection price history
Authorizations
Caller-specific VibeChain API key used for quota and abuse control.
Path Parameters
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Available options:
1h, 24h, 3d, 7d, 30d EVM chain ID. Defaults to Base mainnet.
Required range:
x >= 1Response
Price series and optional statistics
Available options:
true Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
Available options:
1h, 24h, 3d, 7d, 30d Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes